net.i2p.router.transport

## Interface FIFOBandwidthLimiter.Request

- All Superinterfaces:
    PQEntry
  Enclosing class:
    FIFOBandwidthLimiter

      public static interface FIFOBandwidthLimiter.Request
      extends PQEntry

  A bandwidth request, either inbound or outbound.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` we no longer want the data requested (the connection closed)
    `void` | `attach(Object obj)` Only supported if the request is not satisfied
    `Object` | `attachment()`
    `boolean` | `getAborted()` was this request aborted?
    `FIFOBandwidthLimiter.CompleteListener` | `getCompleteListener()`
    `int` | `getPendingRequested()` how many bytes were requested and haven't yet been allocated?
    `long` | `getRequestTime()` when was the request made?
    `int` | `getTotalRequested()` how many bytes were requested?
    `void` | `setCompleteListener(FIFOBandwidthLimiter.CompleteListener lsnr)`
    `void` | `waitForNextAllocation()` Block until we are allocated some more bytes.

    - ### Methods inherited from interface net.i2p.router.util.PQEntry

      `getPriority, getSeqNum, setSeqNum`

- - ### Method Detail

    - #### abort

          void abort()

      we no longer want the data requested (the connection closed)

    - #### attach

          void attach(Object obj)

      Only supported if the request is not satisfied

    - #### attachment

          Object attachment()

    - #### getAborted

          boolean getAborted()

      was this request aborted?

    - #### getCompleteListener

          FIFOBandwidthLimiter.CompleteListener getCompleteListener()

    - #### getPendingRequested

          int getPendingRequested()

      how many bytes were requested and haven't yet been allocated?

    - #### getRequestTime

          long getRequestTime()

      when was the request made?

    - #### getTotalRequested

          int getTotalRequested()

      how many bytes were requested?

    - #### setCompleteListener

          void setCompleteListener(FIFOBandwidthLimiter.CompleteListener lsnr)

    - #### waitForNextAllocation

          void waitForNextAllocation()

      Block until we are allocated some more bytes. May return without allocating. Check getPendingRequested() > 0 in a loop.